<?php

namespace SlotDb\Cli\Command\Group;

use SlotDb\Client\SlotDbClient;
use Symfony\Component\Console\Attribute\AsCommand;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Helper\Table;
use Symfony\Component\Console\Input\InputArgument;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Input\InputOption;
use Symfony\Component\Console\Output\OutputInterface;

#[AsCommand(name:"group:create", description:"Create a new group")]
class GroupCreateCommand extends Command
{
    public function __construct(
        private readonly SlotDbClient $client
    )
    {
        parent::__construct();
    }

    protected function configure()
    {
        $this
            ->addOption("name", "n", InputOption::VALUE_REQUIRED, "Set slot name")
            ->addArgument("group", InputArgument::REQUIRED, "Group IP")
            ->addArgument("properties", InputArgument::IS_ARRAY, "Properties to assign to the group")
            ;
    }

    protected function execute(InputInterface $input, OutputInterface $output): int
    {

        $groups = $this->client->findGroups();

        var_dump($groups);

        return self::SUCCESS;
    }
}
